=== debian/changelog ===
libmpikmeans (1.5-1build3) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 15:40:08 +0100

libmpikmeans (1.5-1build2) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:42 +0100

libmpikmeans (1.5-1build1) quantal; urgency=low

  *  No change rebuild against boost1.49

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 11 Jun 2012 02:51:39 +0100

libmpikmeans (1.5-1) unstable; urgency=low

  * Initial release (Closes: #622275)
  * debian/patches:
    - 0001-Properly-build-shared-and-static-libraries-programs
    - 0002-Drop-unused-option
    - 0003-Correct-command-name-in-help

 -- Christian Kastner <debian@kvr.at>  Wed, 13 Apr 2011 00:07:57 +0200
