=== debian/control ===
Source: libmpikmeans
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Kastner <debian@kvr.at>
Build-Depends:
    debhelper (>= 7.0.50~),
    python-support (>= 0.90),
    python-all-dev,
    cython,
    python-numpy,
    libboost-dev,
    libboost-filesystem-dev,
    libboost-program-options-dev
Standards-Version: 3.9.2
Homepage: http://mloss.org/software/view/48/
Vcs-Git: git://scm.kvr.at/git/pkg-libmpikmeans.git
Vcs-Browser: http://scm.kvr.at/git//?p=pkg-libmpikmeans.git;a=summary

Package: libmpikmeans-dev
Section: libdevel
Architecture: any
Depends:
    ${misc:Depends},
    libmpikmeans1 (= ${binary:Version})
Description: Development libraries and header files for MPIKmeans
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the header files and static libraries.

Package: libmpikmeans1
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Description: Fast Library for k-means Clustering
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the shared libraries.

Package: libmpikmeans-dbg
Section: debug
Architecture: any
Depends:
    ${misc:Depends},
    libmpikmeans1 (= ${binary:Version})
Description: Debugging symbols for MPIKmeans
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the debugging symbols.

Package: mpikmeans-tools
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    libmpikmeans1 (= ${binary:Version})
Description: Standalone applications for MPIKmeans
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the standalone applications.

Package: python-mpikmeans
Section: python
Architecture: any
Depends:
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends},
    libmpikmeans1 (= ${binary:Version}),
    python-numpy
Description: Python bindings for MPIKmeans
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the Python bindings. Both the old, ctypes-based and the
 new, Cython-based interfaces are provided.
