## libmpikmeans 1.5%2Bdfsg

=== debian/changelog ===
libmpikmeans (1.5+dfsg-5build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:18:37 +0000

libmpikmeans (1.5+dfsg-5build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:26:33 +0000

libmpikmeans (1.5+dfsg-5build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:20:42 +0000

libmpikmeans (1.5+dfsg-5) unstable; urgency=medium

  * Drop package libmpikmeans-dbg in favor of automatic dbgsym packages as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html
  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - Add dh-python to Build-Depends
    - Switch Maintainer email to my @debian.org address
    - Switch Vcs-Browser from gitweb to cgit
    - Replace Vcs-* insecure URIs with secure ones
  * d/rules:
    - Drop unnecessary inclusion of buildflags.mk
    - Fix missing export of DEB_CFLAGS_MAINT_APPEND
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
    - Simplify version parsing
  * d/patches:
    - Drop patch numbers from .patch filenames
  * d/gbp.conf:
    - Update for patches without numbers
  * d/patches (updated):
    - Properly-build-shared-and-static-libraries-programs
      Filter out -pie, -fpie, and -fPIE when building the shared library
  * d/copyright:
    - Bump copyright years

 -- Christian Kastner <ckk@debian.org>  Sun, 24 Apr 2016 15:22:33 +0200

libmpikmeans (1.5+dfsg-4) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
  * debian/copyright:
    - Bump copyright years

 -- Christian Kastner <debian@kvr.at>  Sat, 18 Jul 2015 17:34:17 +0200

libmpikmeans (1.5+dfsg-3) unstable; urgency=medium

  * Migrate git repo to Debian-Science at git.debian.org
  * debian/control:
    - Update Vcs-* URLs to point to new location
    - control: Add XS-Testsuite
  * debian/tests/*:
    - Define an autopkgtest that runs the examples from the documentation

 -- Christian Kastner <debian@kvr.at>  Mon, 25 Aug 2014 11:39:08 -0700

libmpikmeans (1.5+dfsg-2) unstable; urgency=low

  * debian/control:
    - Add Multi-Arch fields to packages where necessary
    - Add Pre-Depends for package liblinear1
  * debian/rules:
    - Install to multi-arch locations
  * debian/*.install:
    - Update paths as a consequence of the new install target and
      multi-arch-ification
  * debian/patches (updated):
    - 0001-Properly-build-shared-and-static-libraries-programs
      Add an install target to upstream's Makefile, with configurable
      destinations for libraries and executables

 -- Christian Kastner <debian@kvr.at>  Sun, 27 Jul 2014 01:13:16 +0200

libmpikmeans (1.5+dfsg-1) unstable; urgency=low

  * Fixed upstream version number (indicate DFSG-cleaned upstream source)
  * Bumped Standards-Version to 3.9.5 (no changes needed)
  * Bumped debhelper compatibility level to 9
    - No longer manually move debugging symbols files from broken locations
      (pyshared / pymodules), dh_strip now uses build-id
  * Converted to dh_python2
    - Added X-Python-Version >= 2.5 to debian/control
    - Removed obsolete debian/pyversions
    - Added python2 to dh sequence to debian/rules
  * Updated debian/rules to make use of dpkg-buildflags, for hardening
  * Updated debian/copyright to machine-readable format v1.0
  * Created debian/gbp.conf (package is based on dfsg, not upstream)
  * Let libmpikmeans1 Suggest libmpikmeans-tools
  * Moved examples from package libmpikmeans1 to mpikmeans-tools
  * lintian:
    - Added override for debian-watch-file-is-missing
  * debian/patches (modified):
    - 0001-Properly-build-shared-and-static-libraries-programs
      Fixed missing/wrong build flags

 -- Christian Kastner <debian@kvr.at>  Fri, 21 Feb 2014 12:17:57 +0100
