## libmpikmeans 1.5+dfsg

=== debian/changelog ===
libmpikmeans (1.5+dfsg-8) unstable; urgency=medium

  * d/rules: override_dh_missing for --fail-missing
  * d/control:
    - Bump Standards-Version to 4.4.1 (no changes needed)
    - Set Rules-Requires-Root to no to declare that libfann does not need
      (fake)root for building its debs
  * Let dh_install install from debian/tmp, instead of source
    Resolves a warning from dh_missing. Thanks, Niels Thykier, for the analysis and
    resolution!

 -- Christian Kastner <ckk@debian.org>  Mon, 14 Oct 2019 21:39:18 +0200

libmpikmeans (1.5+dfsg-7) unstable; urgency=medium

  * Correct broken Vcs-* fields (copy-pasta)
  * Drop d/*.dirs, the dh_* helpers create directories as needed
  * Move our custom manpages from d/ to d/man/
  * d/source/lintian-overrides:
    - Fix syntax issue
    - Add tag debian-watch-file-is-missing
      Upstream only provides a link to the current, unversioned download
  * gbp.conf: Get rid of the 'dfsg' branch
    Until now, the original upstream source was on branch 'upstream' and the
    DFSG-cleaned source on branch 'dfsg'. This has little to no benefit, but
    many downsides: it departs from common Debian workflows, and also
    represents extra maintenance work

 -- Christian Kastner <ckk@debian.org>  Mon, 18 Feb 2019 19:47:28 +0100

libmpikmeans (1.5+dfsg-6) unstable; urgency=medium

  * Point Vcs-* to Salsa
  * Switch to https in Homepage field
  * Switch Build-Depends from debhelper to debhelper-compat
  * Bump Build-Depends for debhelper-compat to 12
  * Remove now obsolete d/compat
  * Drop ancient X-Python-Version
  * Reduce Priority to optional as per Policy 4.0.1
  * Bump Standards-Version to 4.3.0
  * d/rules:
    - Drop override_dh_strip
      It was only needed for the dbgsym migration
    - Use DEB_VERSION from dpkg/pkg-info.mk instead of parsing d/changelog
  * d/source/lintian-overrides
    - Remove tag debian-watch-file-is-missing, it has been re-classified as
      experimental
    - Add tag python-foo-but-no-python3-foo
  * gbp.conf:
    - Add pristine-tar, sign-tags options
    - Set upstream branch to dfsg
  * d/copyright: Switch to https in Format field
  * d/tests: Rename ADTTMP to AUTOPKGTEST_TMP
  * d/libmpikmeans.symbols: Add Build-Depends-Package field

 -- Christian Kastner <ckk@debian.org>  Wed, 13 Feb 2019 21:21:27 +0100
