=== debian/control ===
Source: libmpikmeans
Section: libs
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper-compat (= 12),
    dh-python,
    python-all-dev (>= 2.6.6-3~),
    cython,
    python-numpy,
    libboost-dev,
    libboost-filesystem-dev,
    libboost-program-options-dev,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://mloss.org/software/view/48/
Vcs-Git: https://salsa.debian.org/science-team/libmpikmeans.git
Vcs-Browser: https://salsa.debian.org/science-team/libmpikmeans

Package: libmpikmeans-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
    ${misc:Depends},
    libmpikmeans1 (= ${binary:Version}),
Description: Development libraries and header files for MPIKmeans
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the header files and static libraries.

Package: libmpikmeans1
Architecture: any
Multi-Arch: same
Pre-Depends:
    ${misc:Pre-Depends},
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
Suggests:
    mpikmeans-tools (= ${binary:Version}),
Description: Fast Library for k-means Clustering
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the shared libraries.

Package: mpikmeans-tools
Architecture: any
Multi-Arch: foreign
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    libmpikmeans1 (= ${binary:Version}),
Description: Standalone applications for MPIKmeans
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the standalone applications.

Package: python-mpikmeans
Section: python
Architecture: any
Depends:
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends},
    libmpikmeans1 (= ${binary:Version}),
    python-numpy,
Description: Python bindings for MPIKmeans
 This library uses an algorithm that yields the very same solution as standard
 k-means, even after each iteration. However, it uses triangle inequalities, and
 is much faster.
 .
 Note: MPI here does not refer to the Message Passing Interface; rather, it is
 an acronym for Max Planck Institute, where this algorithm was developed.
 .
 This package contains the Python bindings. Both the old, ctypes-based and the
 new, Cython-based interfaces are provided.
